import React, {Component} from "react";
import {Layout} from 'antd';
import './HomeLayout.less'
import {CodeOutlined} from "@ant-design/icons";
import UserMainForm from "../../Components/UserForm/MainUserForm";

const {Header, Footer, Content} = Layout;

class HomeLayout extends Component {

    render() {
        return (
            <Layout>
                <Header id={'HomeHeader'}>
                    <CodeOutlined/>
                    &nbsp;Shellmiao的博客
                </Header>
                <Content className={'HomeContent'}>
                    <div>
                        <UserMainForm/>
                    </div>
                </Content>
                <Footer style={{textAlign: 'center'}}>Shellmiao's blog ©2021 Created by Shellmiao</Footer>
            </Layout>
        )
    }
}

export default HomeLayout;