import React, {Component} from "react";
import {HashRouter, Route, Switch} from "react-router-dom";
import DefaultLayout from "../Layout/DefaultLayout/DefaultLayout";
import HomeLayout from "../Layout/HomeLayout/HomeLayout";
import PostArticleLayout from "../Layout/PostArticleLayout/PostArticleLayout";

class MainRouter extends Component {
    render() {
        return (
            <div id={'router'}>
                <HashRouter>
                    <Switch>
                        <Route path={'/default'} component={DefaultLayout}/>
                        <Route path={'/'} component={HomeLayout} exact/>
                        <Route path={'/post'} component={PostArticleLayout} exact/>
                    </Switch>
                </HashRouter>
            </div>
        )
    }
}

export default MainRouter;