import Qs from 'qs'
import fetch from "./Axios";

export function apiLogin(params) {
    return fetch({
        url: '/account/login/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiIsLogged() {
    return fetch({
        url: '/account/islogged/',
        method: 'get',
    })
}

export function apiRegister(params) {
    return fetch({
        url: '/account/register/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiLogout() {
    return fetch({
        url: '/account/logout/',
        method: 'get',
    })
}

export function apiCheck(params) {
    return fetch({
        url: '/account/check/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiConfirm(params) {
    return fetch({
        url: '/account/confirm/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiReset(params) {
    return fetch({
        url: '/account/reset/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiPostArticle(params) {
    return fetch({
        url: '/article/post/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiPostGetClasses() {
    return fetch({
        url: '/article/post/classes',
        method: 'get',
    })
}

export function apiPostGetTags() {
    return fetch({
        url: '/article/post/tags',
        method: 'get',
    })
}

export function apiSaveArticle(params) {
    return fetch({
        url: '/article/post/save',
        method: 'post',
        data: Qs.stringify(params),
    })
}