import React, {Component} from "react";
import {Button, Modal} from "antd";

class AccountModal extends Component {
    state = {
        isModalVisible: false
    }
    handleOk = () => {
        this.setState({
            isModalVisible: false
        })
    }

    handleCancel = () => {
        this.setState({
            isModalVisible: false
        })
    }

    showModal = () => {
        this.setState({
            isModalVisible: true
        })
    }

    render() {
        return (
            <div>
                <Button type="text" className={'pop-hover-button'} onClick={this.showModal}>登录</Button>
                <Modal title="Basic Modal" visible={this.state.isModalVisible} onOk={this.handleOk}
                       onCancel={this.handleCancel}>
                    <p>Some contents...</p>
                    <p>Some contents...</p>
                    <p>Some contents...</p>
                </Modal>
            </div>
        )
    }
}

export default AccountModal;